# Uses of Class
org.apache.lucene.geo.XYPoint

Packages that use XYPoint
Package
Description
org.apache.lucene.document
The logical representation of a `Document` for indexing and searching.

- ## Uses of XYPoint in org.apache.lucene.document

  Methods in org.apache.lucene.document that return XYPoint
  Modifier and Type
  Method
  Description
  `protected XYPoint`
  XYShapeDocValues.`computeCentroid()`
  `XYPoint`
  XYShapeDocValues.`getCentroid()`
  `XYPoint`
  XYShapeDocValuesField.`getCentroid()`
  retrieves the centroid location for the geometry